#!/bin/sh

if [ -z "$SSH_PRIVATE_KEY" ] ; then
    echo "\$SSH_PRIVATE_KEY is not set!" >/dev/stderr
    exit 1
fi

if [ -z "$SSH_HOST_KEY" ] ; then
    echo "\$SSH_HOST_KEY is not set!" >/dev/stderr
    exit 1
fi

mkdir "${HOME}/.ssh"
echo -n "${SSH_PRIVATE_KEY}" > "${HOME}/.ssh/id_rsa"
chmod 700 "${HOME}/.ssh/id_rsa"
echo "${SSH_HOST_KEY}" >> "${HOME}/.ssh/known_hosts"

echo "Created $HOME/.ssh/id_rsa and $HOME/.ssh/known_hosts"
